#! /bin/bash

# Public Domain

[[ -z "$DOSEMU" ]] && DOSEMU=dosemu
"$DOSEMU" -dumb -td -kt < /dev/null -K "$PWD" -E "mak.bat"

if [[ "$1" != notracelist ]]
then
  echo === Creating BIO trace listing
  (cd src/BIOS/;
  cat MSBIO.LNK |
  grep -Eio '\S+\.obj' |
  sed -re 's/\\/\//g;s/\.obj/\.lst/g;s/\/inc\//\/INC\//g' |
  xargs convmasm.pl msbio.map > msbio.tls)
  echo === Creating DOS trace listing
  (cd src/DOS/;
  cat MSDOS.LNK |
  grep -Eio '\S+\.obj' |
  sed -re 's/\\/\//g;s/\.obj/\.lst/g;s/\/inc\//\/INC\//g' |
  xargs convmasm.pl msdos.map > msdos.tls)
  echo === Creating COMMAND trace listing
  (cd src/CMD/COMMAND/;
  cat COMMAND.LNK |
  grep -Eio '\S+\.obj' |
  sed -re 's/\\/\//g;s/\.obj/\.lst/g;s/\/inc\//\/INC\//g' |
  xargs convmasm.pl command.map > command.tls)
fi
